local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireNPC = ____shouldFire.shouldFireNPC
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PreNPCCollisionFilter = __TS__Class()
local PreNPCCollisionFilter = ____exports.PreNPCCollisionFilter
PreNPCCollisionFilter.name = "PreNPCCollisionFilter"
__TS__ClassExtends(PreNPCCollisionFilter, CustomCallback)
function PreNPCCollisionFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireNPC
    self.preNPCCollision = function(____, npc, collider, low) return self:fire(npc, collider, low) end
    self.callbacksUsed = {{ModCallback.PRE_NPC_COLLISION, self.preNPCCollision}}
end
return ____exports
